<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>WEB CIFO - Cpanel Login</title>
  <!-- Custom fonts for this template-->
  <link href="/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <!-- Custom styles for this template-->
  <link href="/css/sb-admin.css" rel="stylesheet">
</head>
<body class="bg-dark">
  <div class="container">
    <div class="card card-login mx-auto mt-5">
      <div class="card-header">Entrada</div>
      <div class="card-body">
        <form id="frmLogin" action="#" novalidate >
          <div class="form-group mb-4 ">
            <div class="form-label-group">
              <input type="email" id="inputEmail" name="email" class="form-control " placeholder="Dirección de correo" required="required" autofocus="autofocus">
              <label for="inputEmail">Dirección de correo</label>
              <div class="invalid-feedback position-absolute">
                Por favor introduzca una dirección válida.
              </div>
            </div>
          </div>
          <div class="form-group mb-5">
            <div class="form-label-group">
              <input type="password" id="inputPassword" name="password" class="form-control " placeholder="Contraseña" required="required">
              <label for="inputPassword">Contraseña</label>
              <div class="invalid-feedback position-absolute">
                Por favor introduzca una contraseña.
              </div>
            </div>
          </div>
          <div class="form-group">
            <div class="checkbox">
              <label>
                <input type="checkbox" value="remember-me">
                Mantenerme conectado
              </label>
            </div>
          </div>
          <button id="btnFrmLogin" class="btn btn-primary btn-block" type="submit">Entrar</button>
        </form>
        <div class="text-center">
          <a class="d-block small mt-3" href="register.html">Registro</a>
          <a class="d-block small" href="forgot-password.html">¿Ovidaste la contraseña?</a>
        </div>
      </div>
      <div class="card-footer">
        <div id="alertFrmLogin" class="d-none alert alert-danger  " role="alert">
          El nombre de usuario y/o contraseña no valido!!
          
        </div>
      </div>
    </div>
  </div>
  
  <!--  div#modalAjax.modal -->
  <div id="modalAjax" class="modal"   data-backdrop="static" tabindex="-1" role="dialog" style="">
    <div class="modal-dialog modal-dialog-centered justify-content-center" role="document">
        <!-- <span class="fa fa-spinner fa-spin fa-3x"></span>-->
        <div class="spinner-border text-light"  style="width: 4rem; height: 4rem;" role="status">
          <span class="sr-only">Loading...</span>
        </div>
    </div>
  </div>
  <!-- /div#modalAjax.modal -->
  
  <!-- Bootstrap core JavaScript-->
  <script src="/vendor/jquery/jquery.min.js"></script>
  <script src="/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
  <!-- Core plugin JavaScript-->
  <script src="/vendor/jquery-easing/jquery.easing.min.js"></script>
  <!-- scripts for this page-->
  <script type="text/javascript" src="/js/cookies.js"></script>
  <script type="text/javascript">
    var xhr;
    
    if (window.XMLHttpRequest) { // Mozilla, Safari, ...
		xhr = new XMLHttpRequest();
	} else if (window.ActiveXObject) { // IE
		xhr = new ActiveXObject("Microsoft.XMLHTTP");
	}
    
	document.getElementById("btnFrmLogin").onclick=function(evt){
		evt.preventDefault();
		var totOk=true;
		
		// -- netejar class="is-invalid" o class="is-valid" --
		this.form.querySelectorAll("*").forEach(function(el) {
			el.className = el.className.replace(/(is-invalid|is-valid)/g, '');
		});
		document.getElementById("alertFrmLogin").className+=" d-none";
		
		// --------------validacion input[name=email] -------------------
		this.form.email.value = this.form.email.value.trim();
		var emailPattern = /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,4})+$/;
		var strEmail = this.form.email.value;
		if (!emailPattern.test(strEmail) || strEmail == "") {
			this.form.email.className += " is-invalid";
			totOk = false;
		} else {
			this.form.email.className += " is-valid";
		}
		
		if(totOk){
			$("#modalAjax").modal("show");
			// Definir la funció de callBack()
			xhr.onreadystatechange = function(){
				if (xhr.readyState == 4 &&  xhr.status == 200 ) {
				    // tot va bé, s'ha rebut la resposta
					var objResponse=JSON.parse(xhr.responseText);
				    console.log(objResponse);
				    if(objResponse.status==true){
				    	var email 		= document.getElementById("frmLogin").email.value;
				    	var password 	= document.getElementById("frmLogin").password.value;
				    	var cadena		= "Basic "+ btoa(email+":"+password);
				    	window.sessionStorage.setItem("Authorization",cadena);
				    	location.href="/";
				    }else{
				    	document.getElementById("alertFrmLogin").className=document.getElementById("alertFrmLogin").className.replace(/d-none/g,"");
				    	$("#modalAjax").modal("hide");
				    }
				    
				}
			}
			// Definim els parametres de sol·licitus HTTP
			xhr.open('POST','http://app.cifo.local/api/private/cifo/login/',true);
			var objAuth={
				"user"		: this.form.email.value,
				"password" 	: this.form.password.value
			}
			// Iniciem la sol·licitud
			xhr.send(JSON.stringify(objAuth));
		}
		
  }
  </script>
</body>
</html>
